load results.mat
%close all

N = length(lsb_margin);
count=N;

ind = find(lsb_margin(1:count,46) < 1.0);
mmargin = mean(lsb_margin(ind,:),1);
mnlg = mean(lsb_nlg(ind,:),1);
msampled = mean(lsb_sampled(ind,:),1);

dmargin = std(lsb_margin(ind,:),1,1) / sqrt(N);
dnlg = std(lsb_nlg(ind,:),1,1) / sqrt(N);
dsampled = std(lsb_sampled(ind,:),1,1) / sqrt(N);
iter = [1, 2, 3, 4, 5, 10, 15, 20, 25, 50, 75, 100, 150, 200, 300, 400, 500, 600, 700, 800, 900, 1000];
%%



% logRMSE xi
figure(1)
clf;
% loglog(iter, mmargin(:,3:2:46)+dmargin(:,3:2:46), 'r:', 'linewidth', 1.5)
% loglog(iter, mmargin(:,3:2:46)-dmargin(:,3:2:46), 'r:', 'linewidth', 1.5)
% loglog(iter, mnlg(:,3:2:46)+dnlg(:,3:2:46), 'k:', 'linewidth', 1.5)
% loglog(iter, mnlg(:,3:2:46)-dnlg(:,3:2:46), 'k:', 'linewidth', 1.5)
% loglog(iter, msampled(:,3:2:46)+dsampled(:,3:2:46), 'b:', 'linewidth', 1.5)
% loglog(iter, msampled(:,3:2:46)-dsampled(:,3:2:46), 'b:', 'linewidth', 1.5)

loglog(iter, mmargin(:,3:2:46), 'r', 'linewidth', 2.5)
hold on
loglog(iter, mnlg(:,3:2:46), 'k', 'linewidth', 2.5)
loglog(iter, msampled(:,3:2:46), 'b', 'linewidth', 2.5)

loglog([1 1000], [mmargin(1,1) mmargin(1,1)], 'r--', 'linewidth', 1.5)
loglog([1 1000], [mnlg(1,1) mnlg(1,1)], 'k--', 'linewidth', 1.5)
loglog([1 1000], [msampled(1,1) msampled(1,1)], 'b--', 'linewidth', 1.5)
ylim([10^-0.5 10^-0.2])
xlabel('Iteration')
ylabel('RMSE')
%%
% logRMSE theta
figure(2)
clf
% loglog(iter, mmargin(:,4:2:46)+dmargin(:,4:2:46), 'r:', 'linewidth', 1.5)
% hold on
% loglog(iter, mmargin(:,4:2:46)-dmargin(:,4:2:46), 'r:', 'linewidth', 1.5)
% loglog(iter, mnlg(:,4:2:46)+dnlg(:,4:2:46), 'k:', 'linewidth', 1.5)
% loglog(iter, mnlg(:,4:2:46)-dnlg(:,4:2:46), 'k:', 'linewidth', 1.5)
% loglog(iter, msampled(:,4:2:46)+dsampled(:,4:2:46), 'b:', 'linewidth', 1.5)
% loglog(iter, msampled(:,4:2:46)-dsampled(:,4:2:46), 'b:', 'linewidth', 1.5)

loglog(iter, mmargin(:,4:2:46), 'r', 'linewidth', 2.5)
hold on;
loglog(iter, mnlg(:,4:2:46), 'k', 'linewidth', 2.5)
loglog(iter, msampled(:,4:2:46), 'b', 'linewidth', 2.5)

loglog([1 1000], [mmargin(1,2) mmargin(1,2)], 'r--', 'linewidth', 1.5)
loglog([1 1000], [mnlg(1,2) mnlg(1,2)], 'k--', 'linewidth', 1.5)
loglog([1 1000], [msampled(1,2) msampled(1,2)], 'b--', 'linewidth', 1.5)
ylim([10^-0.3 10^-0.1])
xlabel('Iteration')
ylabel('RMSE')

%%

figure(3)
clf;
iter = [5, 10, 15, 20, 25, 50, 75, 100, 150, 200, 250, 300, 400, 500];
loglog(iter, mdint_margin(:,3:2:30), 'r-', 'linewidth', 2.5)
hold on;
loglog([5 500], [mdint_margin(1,1) mdint_margin(1,1)], 'r--', 'linewidth', 1.5)
loglog([5 500], [1.1175109 1.1175109], 'k-', 'linewidth', 2.5)
legend('MHIPS', 'FFBSi', 'Degenerate');
axis([5 500 10^-0.3 10^0.1]);
xlabel('iterations');
ylabel('RMSE');
